[Rubygems-developers] Hoe'ify broke Gem::RubyGemsVersion for me

Chad Woolley thewoolleyman at gmail.com
Fri Jul 24 03:48:04 EDT 2009


On Fri, Jun 19, 2009 at 3:24 PM, Eric Hodel <drbrain at segment7.net> wrote:

> On Jun 19, 2009, at 15:02, Eric Hodel wrote:
>
>> On Jun 14, 2009, at 20:30, Chad Woolley wrote:
>>
>>> On Fri, Jun 12, 2009 at 5:48 PM, Chad Woolley<thewoolleyman at gmail.com>
>>> wrote:
>>>
>>>> Any reason we can't put the version back in
>>>> rubygems/rubygems_version.rb?
>>>>
>>>
>>> Assuming not, I fixed this too...
>>>
>>
>> The streamlined Rakefile doesn't need this extra file.
>>
>
> I reverted this change.  I don't see why RubyGems needs to require an extra
> file.  If you need to extract a version without require 'rubygems' you can
> use standard tools like grep.
>

Here's one reason why it needs this file:

http://rubyforge.org/tracker/index.php?func=detail&aid=26740&group_id=126&atid=575


More information about the Rubygems-developers mailing list